<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{C33C73A7-E2DF-4EF8-9417-C37DF603A4A0}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>TeamViewerApi</RootNamespace>
    <AssemblyName>TeamViewerApi</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Images\teamviewer.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\DLL\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="Command.cs" />
    <Compile Include="Helpers\IgnorableSerializerContractResolver.cs" />
    <Compile Include="TeamViewer\Rest\HttpContentType.cs" />
    <Compile Include="TeamViewer\Ping.cs" />
    <Compile Include="TeamViewer\Rest\Connection.cs" />
    <Compile Include="TeamViewer\Rest\Properties.cs" />
    <Compile Include="TeamViewer\URL.cs" />
    <Compile Include="TeamViewer\Account.cs" />
    <Compile Include="TeamViewer\Group.cs" />
    <Compile Include="TeamViewer\User.cs" />
    <Compile Include="TeamViewer\Groups.cs" />
    <Compile Include="TeamViewer\Rest\ErrorResponce.cs" />
    <Compile Include="TeamViewer\Token.cs" />
    <Compile Include="TeamViewer\Rest\Method.cs" />
    <Compile Include="TeamViewer\Users.cs" />
    <Compile Include="TeamViewer\Session.cs" />
    <Compile Include="TeamViewer\Sessions.cs" />
    <Compile Include="TeamViewer\Device.cs" />
    <Compile Include="TeamViewer\Devices.cs" />
    <Compile Include="TeamViewer\Contact.cs" />
    <Compile Include="TeamViewer\Invitation.cs" />
    <Compile Include="TeamViewer\Contacts.cs" />
    <Compile Include="TeamViewer\Meeting.cs" />
    <Compile Include="TeamViewer\ConferenceCallInformation.cs" />
    <Compile Include="TeamViewer\Meetings.cs" />
    <Compile Include="ViewModels\BasicViewModel.cs" />
    <Compile Include="ViewModels\TokenViewModel.cs" />
    <Compile Include="ViewModels\AccountViewModel.cs" />
    <Compile Include="ViewModels\UsersViewModel.cs" />
    <Compile Include="ViewModels\GroupsViewModel.cs" />
    <Compile Include="ViewModels\SessionsViewModel.cs" />
    <Compile Include="ViewModels\MainWindowViewModel.cs" />
    <Compile Include="ViewModels\CreateSessionViewModel.cs" />
    <Compile Include="ViewModels\DevicesViewModel.cs" />
    <Compile Include="ViewModels\CreateDeviceViewModel.cs" />
    <Compile Include="ViewModels\CreateGroupViewModel.cs" />
    <Compile Include="ViewModels\ContactsViewModel.cs" />
    <Compile Include="ViewModels\CreateContactViewModel.cs" />
    <Compile Include="ViewModels\MeetingsViewModel.cs" />
    <Compile Include="ViewModels\CreateMeetingViewModel.cs" />
    <Compile Include="Views\AccountView.xaml.cs">
      <DependentUpon>AccountView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\TokenView.xaml.cs">
      <DependentUpon>TokenView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\UsersView.xaml.cs">
      <DependentUpon>UsersView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\GroupsView.xaml.cs">
      <DependentUpon>GroupsView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\SessionsView.xaml.cs">
      <DependentUpon>SessionsView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\CreateSessionView.xaml.cs">
      <DependentUpon>CreateSessionView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\DevicesView.xaml.cs">
      <DependentUpon>DevicesView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\CreateDeviceView.xaml.cs">
      <DependentUpon>CreateDeviceView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\CreateGroupView.xaml.cs">
      <DependentUpon>CreateGroupView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\ContactsView.xaml.cs">
      <DependentUpon>ContactsView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\CreateContactView.xaml.cs">
      <DependentUpon>CreateContactView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\CreateMeetingView.xaml.cs">
      <DependentUpon>CreateMeetingView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Views\MeetingsView.xaml.cs">
      <DependentUpon>MeetingsView.xaml</DependentUpon>
    </Compile>
    <Page Include="MainWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="Views\AccountView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Views\TokenView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Views\UsersView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\GroupsView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\SessionsView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\CreateSessionView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\DevicesView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\CreateDeviceView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\CreateGroupView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\ContactsView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\CreateContactView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\CreateMeetingView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Views\MeetingsView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Resource Include="Images\teamviewer.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>